Subject: Re: cygipc (and PostgreSQL) XP problem resolved!
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: Jason Tishler <[email-masked]>, [email-masked]
Date: 10 May 2003 14:40:57 +1000

On Fri, 2003-05-09 at 13:39, Charles Wilson wrote:
> Jason Tishler wrote:
> 
> > Chuck,
> > 
> > On Wed, May 07, 2003 at 08:31:07PM -0400, Charles Wilson wrote:
> > 
> >>I think this needs to be a runtime function, not a compiletime macro.
> > 
> > 
> > Given Igor's validation, improvements, and corrections of/to my patch,
> > do you still want a runtime function approach?  Or, is the (ugly and
> > possibly performance affecting) macro approach OK?
> 
> Nope -- I'm an idiot.  You and Igor are correct.  But I'm more concerned 
> about the other issues I raised, to which nobody has yet responded 
> (although I'm still working thru the mail).  To whit: 64 bit key_t and 
> coordination with cygwin dll/newlib.

Well, theres the API break coming up with cygwin1.dll - do it in sync
with that, IMO.

Rob

-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.